## golang-code.rocketnine-tslocum-cview 1.5.4

=== Makefile ===
# kernel-style V=1 build verbosity
ifeq ("$(origin V)", "command line")
	BUILD_VERBOSE = $(V)
endif

ifeq ($(BUILD_VERBOSE),1)
	Q =
else
	Q = @
endif

define go_get
	$(Q)command -v $(1) > /dev/null || GO111MODULE=off go get $(2)
endef

export CGO_ENABLED := 1

.DEFAULT_GOAL := help

.PHONY: validate
validate: check-fmt test vet ## Validates the go code format, runs tests and executes vet.

.PHONY: test
test: ## Run tests
	$(Q)echo "running tests..."
	$(Q)go test -race -v ./...

.PHONY: vet
vet: ## Run go vet
	$(Q)echo "running go vet..."
	$(Q)go vet -composites=false ./...

.PHONY: check-fmt
check-fmt: ## Check go format
	$(Q)echo "checking format..."
	@gofmt_out=$$(gofmt -d -e . 2>&1) && [ -z "$${gofmt_out}" ] || (echo "$${gofmt_out}" 1>&2; exit 1)

.PHONY: fmt
fmt: ## Formats the go code
	$(Q)echo "formatting go code..."
	$(Q)set -e
	$(call go_get,goimports,golang.org/x/tools/cmd/goimports)
	$(Q)goimports -w .

.PHONY: help
help: ## Shows this help
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
golang-code.rocketnine-tslocum-cview (1.5.4-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Jun 2021 14:17:33 +0530

golang-code.rocketnine-tslocum-cview (1.5.4-1) unstable; urgency=medium

  * Initial release (Closes: #985182)

 -- Micheal Waltz <ecliptik@gmail.com>  Tue, 06 Apr 2021 22:12:59 -0700

=== debian/control ===
Source: golang-code.rocketnine-tslocum-cview
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Micheal Waltz <ecliptik@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-lucasb-eyer-go-colorful-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-rivo-uniseg-dev,
               golang-code.rocketnine-tslocum-cbind-dev
Standards-Version: 4.5.1
Homepage: https://code.rocketnine.space/tslocum/cview
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-code.rocketnine-tslocum-cview
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-code.rocketnine-tslocum-cview.git
XS-Go-Import-Path: code.rocketnine.space/tslocum/cview
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-code.rocketnine-tslocum-cview-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-gdamore-tcell.v2-dev,
         golang-github-lucasb-eyer-go-colorful-dev,
         golang-github-mattn-go-runewidth-dev,
         golang-github-rivo-uniseg-dev,
         golang-code.rocketnine-tslocum-cbind-dev
Description: Terminal-based user interface toolkit for Golang
 cview is a fork of tview (https://github.com/rivo/tview),
 which provides commonly needed components for terminal
 based user interfaces in Go.

=== debian/watch ===
version=4
https://code.rocketnine.space/tslocum/cview/releases .*/v(.*).tar.gz
